Skip to main content
GET
/
v1
/
opportunities
List opportunities
curl --request GET \
  --url https://api.slant.app/v1/opportunities \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "abc123xyz",
      "name": "New Investment Opportunity",
      "book_id": "book123xyz",
      "pipeline": {
        "id": "pipeline123xyz",
        "name": "Sales Pipeline",
        "pipeline_type": "prospect"
      },
      "pipeline_stage": {
        "id": "stage123xyz",
        "name": "Qualified"
      },
      "assigned_to": {
        "id": "abc123xyz",
        "email": "user@example.com",
        "first_name": "John",
        "last_name": "Doe"
      },
      "value": 5000,
      "probability": 75,
      "target_close_date": "2023-11-07T05:31:56Z",
      "stage_updated_at": "2023-11-07T05:31:56Z",
      "household_id": "household123xyz",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "current_page": 1,
    "total_pages": 10,
    "total_count": 100,
    "per_page": 25
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Query Parameters

book_id
string

Filter by book ID

pipeline_type
enum<string>

Filter by pipeline type

Available options:
prospect,
client
household_id
string

Filter by household ID

Response

opportunities filtered by household_id

data
object[]
required
pagination
object
required